Reports - Installation Groups (IGRPs)

Contents

Was this article helpful?

Yes No

Introduction

An Installation Group (IGRP) represents one or more web sites that are tracked (and reported) together under a single installation ID.

  • Each IGRP is assigned a numeric ID that can be used to reference it in the APIs.
  • Each IGRP can also be assigned a Reference string, which can be used to refer to an IGRP using a customer’s internal identifier.

IGRP Properties

These are the properties that can be accessed using the API.

Property Description
igrp (int) Installation ID.
igrpName (string) Friendly name of the Installation (e.g. “My Website”)
packageType (string) Package of the Installation.
orgId (int) Organisation this IGRP belongs to.
igrpType (string) The type of IGRP. Can be blank (empty) or pbx for phone system installs
sfOrgRef (string) The Salesforce organisation ID this installation is associated with.
platform (string) The platforms that the IGRP is visible on (‘hub’, ‘portal’, ‘both’).
conversationAnalytics (int) Read-only. A flag (1 or 0) indicating whether this IGRP has Conversation Analytics enabled.
features (array) Read-only. A list of features available to the IGRP.
editionName (string) Read-only. Natural name of edition which is used by IGRP.
editionCode (string) Read-only. System code of edition which is used by IGRP.

List IGRPs

Returns a list of IGRPs that the current user can access.

Request:

HTTP / Text
GET /reports/v2/igrps

GET Params

Property Description
rootOrgId (integer)
OPTIONAL
limit the result set within this organisation branch.
filter (array)
OPTIONAL
One or more filters, see Filter Types.
sort (array)
OPTIONAL
One or more sorting params, see Sort Types.
limit (integer)
OPTIONAL
limit on the result set.
offset (integer)
OPTIONAL
offset of the result set.

Filter Types

Property Description
igrp (int) Installation ID.
igrpName (string) Friendly name of the Installation (e.g. “My Website”)
packageType (string) Package of the Installation.
orgId (int) Organisation this IGRP belongs to.
igrpType (string) The type of IGRP. Can be blank (empty) or pbx for phone system installs
sfOrgRef (string) The Salesforce organisation ID this installation is associated with.
platform (string) The platforms that the IGRP is visible on (‘hub’, ‘portal’, ‘both’).
conversationAnalytics (int) Read-only. A flag (1 or 0) indicating whether this IGRP has Conversation Analytics enabled.
editionName (string) Read-only. Natural name of edition which is used by IGRP.
editionCode (string) Read-only. System code of edition which is used by IGRP.

Sort Types

Same fields as Filter Types, see above.

Response:

Returns list of IGRPs that the current user can access.

Read IGRP Config

Returns the properties for a particular IGRP.

Request:

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

Response:

Returns the requested IGRP details.

0333 0600 118